---
title: "Geizhals API: Search | Perceptlayer"
description: "Search from Geizhals as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/geizhals/search
---

[APIs](https://perceptlayer.com/apis) / [Geizhals](https://perceptlayer.com/apis/geizhals) / Search

# Geizhals: Search

Search from Geizhals as JSON. 1 credit per successful call.

GET `/v1/geizhals/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `query` | string | Required | Up to 200 characters |
| `loc` | string | Optional | de, at, eu, pl, uk |
| `lang` | string | Optional | de, en |
| `page` | integer | Optional | Any |
| `pagesize` | integer | Optional | Any |
| `sort` | string | Optional | Up to 20 characters |
| `category` | string | Optional | Up to 100 characters |
| `manufacturer` | string | Optional | Up to 100 characters |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/geizhals/search?query=thinkpad&loc=de&pagesize=10" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/geizhals?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
